Subject: dired-omit-from-project

From: Felician Nemeth <[email-masked]>
Date: Fri, 19 Jan 2024 13:15:01 +0100

Severity: wishlist

I wish project.el was somehow integrated with dired-omit-mode.  For
example, besides C-x M-o, dired-x.el or project.el could provide a C-x
M-p binding to a new dired-omit-from-project command, which would omit
files that were not in project-files.

I work with many small git repositories that have specialized .gitignore
files.  Currently, I create a .dir-locals-2.el file for each repository
with custom settings copying entries of .gitignore into
dired-omit-files.  This manual approach works alright, but a
dired/project integration would be better.

I know there is git-dired.el by John Wiegley, but it seems to do
something slightly different.
https://github.com/jwiegley/git-scripts/blob/master/git-dired.el

Thank you.